/**Begin D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_DATABASE_COPY') 
 CREATE TABLE T_DBC_DATABASE_COPY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FTABLE_COUNT INT DEFAULT 0 NOT NULL,
FSUCCESS_COUNT INT DEFAULT 0 NOT NULL,
FOMITTED_COUNT INT DEFAULT 0 NOT NULL,
FFAILED_COUNT INT DEFAULT 0 NOT NULL,
FELAPSED_TIME DECIMAL(10,1) DEFAULT 0.0 NOT NULL,
FBYTES_COUNT BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(300) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB,
FSRC_DB_ID BIGINT DEFAULT 0 NOT NULL,
FTAR_DB_ID BIGINT DEFAULT 0 NOT NULL,
FBATCH_SIZE INT DEFAULT 0 NOT NULL,
FMAX_THREADS INT DEFAULT 0 NOT NULL,
FAUTO_CREATE_TABLE CHAR(1) DEFAULT '0' NOT NULL,
FINCLUSIVE_TAB_PATTERNS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FEXCLUSIVE_TAB_PATTERNS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FLOG_TAB_PATTERNS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCREATOR_ID BIGINT DEFAULT 0 NOT NULL,
FCREATED_TIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_DATABASE_COPY_ITEMS') 
 CREATE TABLE T_DBC_DATABASE_COPY_ITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTABLE_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FELAPSED_TIME DECIMAL(10,1) DEFAULT 0.0 NOT NULL,
FROW_COUNT BIGINT DEFAULT 0 NOT NULL,
FCOMPLETE_COUNT BIGINT DEFAULT 0 NOT NULL,
FBYTES_COUNT BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(300) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_DATABASE_COMP') 
 CREATE TABLE T_DBC_DATABASE_COMP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FTABLE_COUNT INT DEFAULT 0 NOT NULL,
FOMITTED_COUNT INT DEFAULT 0 NOT NULL,
FFAILED_COUNT INT DEFAULT 0 NOT NULL,
FELAPSED_TIME DECIMAL(10,1) DEFAULT 0.0 NOT NULL,
FBYTES_COUNT BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(300) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB,
FSRC_DB_ID BIGINT DEFAULT 0 NOT NULL,
FTAR_DB_ID BIGINT DEFAULT 0 NOT NULL,
FBATCH_SIZE INT DEFAULT 0 NOT NULL,
FMAX_THREADS INT DEFAULT 0 NOT NULL,
FINCLUSIVE_TAB_PATTERNS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FEXCLUSIVE_TAB_PATTERNS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FLOG_TAB_PATTERNS VARCHAR(1000) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(150) DEFAULT ' ' NOT NULL,
FCREATOR_ID BIGINT DEFAULT 0 NOT NULL,
FCREATED_TIME DATETIME,
FEQUIV_COUNT INT DEFAULT 0 NOT NULL,
FDIFF_COUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_DATABASE_COMP_ITEMS') 
 CREATE TABLE T_DBC_DATABASE_COMP_ITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTABLE_NAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FELAPSED_TIME DECIMAL(10,1) DEFAULT 0.0 NOT NULL,
FROW_COUNT BIGINT DEFAULT 0 NOT NULL,
FCOMP_COUNT BIGINT DEFAULT 0 NOT NULL,
FBYTES_COUNT BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(300) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB
);



/**End D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
