﻿/**Begin D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_TABLE_COPY') 
 CREATE TABLE T_DBC_TABLE_COPY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FTRIGGED_TIME DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRC_DB_ID BIGINT DEFAULT 0 NOT NULL,
FTAR_DB_ID BIGINT DEFAULT 0 NOT NULL,
FAUTO_CREATE_TABLE CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FINTERVAL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEDULE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVALIDATED_TIME DATETIME,
FEXPIRED_TIME DATETIME,
FTRIGGER_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCH_SIZE INT DEFAULT 0 NOT NULL,
FTRIGGED_COUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_TABLE_COPY_ITEMS') 
 CREATE TABLE T_DBC_TABLE_COPY_ITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCHEMA_ID BIGINT DEFAULT 0 NOT NULL,
FFILTER VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_TABLE_COPY_L') 
 CREATE TABLE T_DBC_TABLE_COPY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_TABLE_COPY_LOG') 
 CREATE TABLE T_DBC_TABLE_COPY_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTART_TIME DATETIME,
FEND_TIME DATETIME,
FTABLE_COUNT INT DEFAULT 0 NOT NULL,
FSUCCESS_COUNT INT DEFAULT 0 NOT NULL,
FFAILED_COUNT INT DEFAULT 0 NOT NULL,
FOMITTED_COUNT INT DEFAULT 0 NOT NULL,
FTOTAL_BYTES_COUNT BIGINT DEFAULT 0 NOT NULL,
FHOST VARCHAR(50) DEFAULT ' ' NOT NULL,
FTABLE_COPY_ID BIGINT DEFAULT 0 NOT NULL,
FTOTAL_ELAPSED_TIME DECIMAL(10,1) DEFAULT 0.0 NOT NULL,
FREMARK NVARCHAR(300) DEFAULT ' ' NOT NULL,
FREMARK_TAG NCLOB,
FSRC_DB_ID BIGINT DEFAULT 0 NOT NULL,
FTAR_DB_ID BIGINT DEFAULT 0 NOT NULL,
FBATCH_SIZE INT DEFAULT 0 NOT NULL,
FAUTO_CREATE_TABLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DBC_TC_LOG_ITEMS') 
 CREATE TABLE T_DBC_TC_LOG_ITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTABLE_NAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FSTATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTABLE_START_TIME DATETIME,
FTABLE_END_TIME DATETIME,
FELAPSED_TIME DECIMAL(10,1) DEFAULT 0.0 NOT NULL,
FROW_COUNT BIGINT DEFAULT 0 NOT NULL,
FCOMPLETE_COUNT BIGINT DEFAULT 0 NOT NULL,
FBYTES_COUNT BIGINT DEFAULT 0 NOT NULL,
FTABLE_REMARK NVARCHAR(300) DEFAULT ' ' NOT NULL,
FTABLE_REMARK_TAG NCLOB,
FFILTER VARCHAR(2000) DEFAULT ' ' NOT NULL
);



/**End D:\software\PDM_UPGRADE\pdm1\ISCB_table.sql **/
